# vim: set ts=4 sw=4 et:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           mp3diags-unstable
Version:        1.3.04
Release:        1.1
Summary:        Find and fix Problems in MP3 Files
Source:         MP3Diags-unstable-%{version}.tar.gz
Patch2:         mp3diags-fix_desktop_file.patch
URL:            http://mp3diags.sourceforge.net
Group:          Productivity/Multimedia/Sound/Editors and Convertors
License:        GPL-2.0+
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  boost-devel
BuildRequires:  libqt4-devel
BuildRequires:  zlib-devel
BuildRequires:  gcc-c++ make update-desktop-files
Conflicts:      mp3diags

%description
MP3 Diags finds problems in MP3 files and helps the user fix many of them. It
looks at both the audio part (VBR info, quality, normalization) and the tags
containing track information (ID3). It has a tag editor, which can download
album information (including cover art) from MusicBrainz and Discogs, as well
as paste data from the clipboard. Track information can also be extracted from
a file's name. Another component is the file renamer, which can rename files
based on the fields in their ID3V2 tag (artist, track number, album, genre,
etc.).

%prep
%setup -q -n "MP3Diags-unstable-%{version}"
%patch2

./AdjustMt.sh

%build
pushd src
qmake QMAKE_CXXFLAGS=-DDOCDIR="\\\"\\\\\\\"%{_docdir}/%{name}\\\\\\\"\\\""" %{optflags}"
%__make %{?_smp_mflags}
popd #src

%install
%__install -D -m0755 bin/MP3Diags-unstable "%{buildroot}%{_bindir}/MP3Diags"
%__ln_s MP3Diags "%{buildroot}%{_bindir}/mp3diags"

%__install -D -m0644 desktop/MP3Diags-unstable.desktop "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%__install -D -m0644 desktop/MP3Diags-unstable48.png "%{buildroot}%{_datadir}/pixmaps/MP3Diags.png"

%suse_update_desktop_file -r "%{name}" AudioVideo AudioVideoEditing

%files
%defattr(-,root,root)
%doc changelog.txt COPYING
%{_bindir}/mp3diags
%{_bindir}/MP3Diags
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/MP3Diags.png

%changelog
* Mon Jan  2 2017 olaf@aepfle.de
- Update to 1.3.04
* Mon Apr  1 2013 pascal.bleser@opensuse.org
- update to 1.2.00:
* Sun Dec  2 2012 pascal.bleser@opensuse.org
- update to 1.1.21.080:
  * fixed bug that caused a "%%s" to be shown instead of the list of files about
    to be changed
* Sat Oct 20 2012 pascal.bleser@opensuse.org
- update to 1.1.20.077:
  * Discogs fix
* Mon Apr 30 2012 pascal.bleser@opensuse.org
- update to 1.1.19.075:
  * French translation
* Sat Apr 14 2012 pascal.bleser@opensuse.org
- update to 1.1.18.074:
  * German translation
  * several translation fixes
* Sun Mar 18 2012 pascal.bleser@opensuse.org
- update to 1.1.17.073:
  * fixed crash introduced in 1.1.16 with translation changes
* Thu Mar 15 2012 pascal.bleser@opensuse.org
- update to 1.1.16.072:
  * made program translatable
  * added Czech translation
* Sun Dec  4 2011 pascal.bleser@opensuse.org
- update to 1.1.09.064:
  * uses a new API for Discogs access, as the old API is being deprecated and
    is supposed to stop functioning soon
  * copying song information from ID3V1 to ID3V2 now allows users to specify a
    codepage, rather than assuming Latin-1
  * fixed crash caused by ID3V2.4 tag with invalid flags
  * fixed splitting of unsupported ID3V2 tags
  * fixed Xing generation for small bitrates
* Sun Aug 28 2011 pascal.bleser@opensuse.org
- update to 1.1.08.062:
  * made Discogs queries after a Discogs API change
  * fixed track numbering when querying multi-volume albums from Discogs
  * made Linux shell integration accept file names containing spaces
  * added close button for dialogs on Gnome 3
* Sun Jul 31 2011 pascal.bleser@opensuse.org
- update to 1.1.07.061:
  * shell integration for Linux
  * replaced MP3Diags with MP3Diags-unstable in places where this wasn't done
  * added close button on Gnome 3
* Sat Jul 23 2011 pascal.bleser@opensuse.org
- new package with version 1.1.01.054
